.link-to-member-avatar {
  .disabled {
    pointer-events: none;
    cursor: default;
  }

  .avatar {
    margin-bottom: 0;
    margin-left: 7px;
    display: block;
  }
}

.mr-widget-approvals-container {
  align-items: center;

  .zero-approvals .ci-status-icon-success svg {
    fill: $gray-darkest;
  }
}

.approvals-body {
  @include media-breakpoint-up(md) {
    display: flex;
    align-items: center;
  }

  .approve-btn {
    vertical-align: baseline;
  }

  .approvals-required-text {
    svg {
      position: relative;
      top: 3px;
    }
  }
}

.approvals-footer {
  display: flex;

  .approvers-prefix {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
  }

  .approvers-list {
    display: flex;
    align-items: center;

    .link-to-member-avatar:not(:first-child) {
      img {
        margin-left: 0;
      }
    }
  }

  .unapprove-btn {
    border: 0;
    background: transparent;
    cursor: pointer;

    &:hover {
      color: $gl-text-color-secondary;
      text-decoration: none;
    }

    &:focus {
      outline: none;
    }
  }

  .approver-avatar {
    position: relative;
  }
}

.mr-state-widget {
  .media-section {
    padding: $gl-padding;
    border: 1px solid $border-color;
    margin-bottom: -1px;

    &:first-of-type {
      border-radius: $border-radius-default $border-radius-default 0 0;
    }
  }
}
